#include <bits/stdc++.h>
using namespace std;
string x,y,z;
long long a,b,c;
int main(){
    cin>>x>>y;
    z="";
    a=x.size();
    b=y.size();

    if(a>b){
        for(int i=1;i<=(a-b);i++){
            y='.'+y;
        }
    }
    else if(b>a){
         for(int i=1;i<=(b-a);i++){
            x='.'+x;
        }
    }
    c=max(a,b);
    for(int i=0;i<c;i++){
            if(x[i]>y[i]){
                z+=x[i];
            }
            else if(x[i]<y[i]){
                z+=y[i];
            }
            else z=z+x[i]+y[i];
        }


        cout<<z<<endl;
return 0;
}